cs_parse_file(3)

NAME
cs_parse_file - parse a CS template file

SYNOPSIS
#include <cs/cs.h> NEOERR *cs_parse_file (CSPARSE *parse, const char *path);

ARGUMENTS
parse - a CSPARSE structure created with cs_init
path - the path to the file to parse

DESCRIPTION
cs_parse_file will parse the CS template located at path. It will use hdf_search_path() if path does not begin with a '/'. The parsed CS template will be appended to the current parse tree stored in the CSPARSE structure. The entire file is loaded into memory and parsed in place.

RETURN VALUE
None

SEE ALSO
cs_dump(3), cs_destroy(3), cs_render(3), cs_register_esc_strfunc(3), cs_arg_parsev(3), cs_register_fileload(3), cs_init(3), cs_register_strfunc(3), cs_arg_parse(3), cs_parse_string(3), cs_parse_file(3), =(3), cs_register_function